<?php

class Mbe_Shipping_Adminhtml_MbeController extends Mage_Adminhtml_Controller_Action
{

    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')->isAllowed('admin/sales/mbe_shippings');
    }
    
    public function closeAction()
    {

        Mage::log("Mbe_Shipping_Adminhtml_MbeController closeAction", Zend_Log::INFO, "sam.log");


        $trackingNumber = $this->getRequest()->getParam('tracking_number');
        $shipmentId = $this->getRequest()->getParam('shipment_id');

        $shipmentUrl = Mage::helper("adminhtml")->getUrl("adminhtml/sales_shipment/view", array('shipment_id' => $shipmentId));

        /** @var  $ws Mbe_Shipping_Model_Ws */
        $ws = Mage::getModel('mbe_shipping/ws');

        $ws->closeTrackingNumber($trackingNumber);

        Mage::app()->getResponse()->setRedirect($shipmentUrl)->sendResponse();
    }
}
